#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

puts"これからじゃんけんをするよ"
puts"数字を打たないと、おもしろくなくなっちゃうから、 ウったほうがいいよ"
puts"勝てるように頑張って!"
a=0
def nanidasunda(q)
  if q==1
    puts"グーにするぜ"
    
  elsif q==2
    puts"チョキにするぜ"
    
  elsif q==3
    puts"パーにするぜ"
    
  end
end

def janken()
  dasuyatu=["岩よりも硬い'グー","ハサミより鋭い'チョキ","神よりも広い'パー"]
  dasuyatu[rand(dasuyatu.size)]
 
end

puts"じゃんけんをするよ"
puts"----------------------------------------------------------------------------


"
puts"何出す?"
puts"1.岩よりも硬い'グー  2.ハサミより鋭い'チョキ  3.神よりも広い'パー"
nanidasu=gets.to_i

nanidasunda(nanidasu)
puts"考え中."
sleep(0.5)
puts"考え中.."
sleep(0.5)
puts"考え中..."
sleep(0.5)
puts"考え中...."
sleep(0.5)
puts"考え中....."
sleep(0.5)
puts"考え中......"

janken()



if nanidasu==1
  print("僕はグーを出すぜ。\n")
  sleep(0.5)
  
  puts"じゃ〜んけん〜"
  sleep(2)
  print"ぽん\n



























"
printf("自分       相手
グー       %s   \n",janken)



elsif nanidasu==2
  print"僕はチョキを出すぞ。\n"
  sleep(0.5)
  
  puts"じゃ〜んけん〜"
  sleep(2)
  print"ぽん\n





























"
  
printf("自分       相手
チョキ     %s   \n",janken)



elsif nanidasu==3
  print"僕はパーを出すんだよ\n"
  sleep(0.5)
  
  puts"じゃ〜んけん〜"
  sleep(2)
  puts"ぽん























"
puts"最初はグー じゃんけん ぽん"
printf("自分       相手
パー       %s   \n",janken)


end
puts"どう勝てたかなまた遊んでね。"
